# vim: set sw=4 ts=4 et:
# Copyright (c) 2005 - 2010 oc2pus
#               2010        Pascal Bleser <pascal.bleser@opensuse.org>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to packman@links2linux.de

%define SONAME	1

Name:           gavl
Version:        1.2.0
Release:        1.pm.2.1
Summary:        Library for handling uncompressed audio and video data
License:        GNU General Public License version 3 (GPL v3)
Group:          System/Libraries
# http://prdownloads.sourceforge.net/gmerlin/gavl-%{version}.tar.gz
Source0:        gavl-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM %{name}-1.2.0-overflow.patch gmerlin-general_ML_2011-01-08 19:12 reddwarf@opensuse.org -- Fix buffer overflow
Patch0:         gavl-1.2.0-overflow.patch
URL:            http://gmerlin.sourceforge.net/
BuildRequires:  doxygen
BuildRequires:  gcc
BuildRequires:  libpng-devel >= 1.0.8
BuildRequires:  libsamplerate-devel >= 0.1.0
BuildRequires:  pkgconfig >= 0.9.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Gavl is short for Gmerlin Audio Video Library. It is a low level library, upon
which multimedia APIs can be built. Gavl handles all the details of audio and
video formats like colorspaces, samplerates, multichannel configurations etc.
It provides standardized definitions for those formats as well as container
structures for carrying audio samples or video images inside an application.  

In addition, it handles the sometimes ugly task to convert between all these
formats and provides some elementary operations (copying, scaling, alpha
blending etc).

%package -n libgavl%{SONAME}
Summary:        Library for handling uncompressed audio and video data
Group:          System/Libraries

%description -n libgavl%{SONAME}
Gavl is short for Gmerlin Audio Video Library. It is a low level library, upon
which multimedia APIs can be built. Gavl handles all the details of audio and
video formats like colorspaces, samplerates, multichannel configurations etc. It
provides standardized definitions for those formats as well as container
structures for carrying audio samples or video images inside an application.

In addition, it handles the sometimes ugly task to convert between all these
formats and provides some elementary operations (copying, scaling, alpha
blending etc).

%package -n libgavl-devel
Summary:        Header files and static library for gavl
Summary(de):    Header Dateien und statische Bibliothek fr gavl
Group:          Development/Libraries/C and C++
Requires:       libgavl%{SONAME} = %{version}

%description -n libgavl-devel
Header files and static library for package gavl.

%prep
%setup -q -n "gavl-%{version}"
%patch0

%build
%configure \
    --enable-shared \
    --disable-static \
    --docdir="%{_docdir}/libgavl-devel"
%__make %{?_smp_flags}

%install
%makeinstall
%__rm %{buildroot}%{_libdir}/lib*.la

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%post   -n libgavl%{SONAME} -p /sbin/ldconfig
%postun -n libgavl%{SONAME} -p /sbin/ldconfig

%files -n libgavl%{SONAME}
%defattr(-,root,root)
%doc AUTHORS COPYING README TODO
%{_libdir}/libgavl.so.%{SONAME}
%{_libdir}/libgavl.so.%{SONAME}.*

%files -n libgavl-devel
%defattr(-,root,root)
%doc %{_docdir}/libgavl-devel
%dir %{_includedir}/gavl
%{_includedir}/gavl/*
%{_libdir}/libgavl.so
%{_libdir}/pkgconfig/gavl.pc

%changelog
* Mon Feb 28 2011 pascal.bleser@opensuse.org
- merged buffer overflow patch and spec file enhancements reported
  by Cristian Morales Vega
* Tue Feb 22 2011 pascal.bleser@opensuse.org
- update to 1.2.0
* Thu Feb 25 2010 toni@links2linux.de
- update to 1.1.2
- removed static libraries
* Tue Sep 22 2009 Manfred.Tremmel@iiv.de
- update to 1.1.1
* Wed Dec 17 2008 toni@links2linux.de
- update to 1.1.0
- new SO-name ==> libgavl1
* Tue Jul 22 2008 toni@links2linux.de
- update to 1.0.1
* Wed May 14 2008 toni@links2linux.de
- update to 1.0.0
* Wed Jan  9 2008 toni@links2linux.de
- update to 0.2.7
- changed package layout according Shared Library Packaging Policy
* Fri May 11 2007 toni@links2linux.de
- update to 0.2.6
* Fri Dec  1 2006 toni@links2linux.de
- update to 0.2.5
* Sat Sep 16 2006 toni@links2linux.de
- build for packman
* Wed Jul 12 2006 oc2pus@arcor.de - 0.2.4-0.oc2pus.1
- update to 0.2.4
* Sat Feb  4 2006 oc2pus@arcor.de - 0.2.3-0.oc2pus.1
- update to 0.2.3
* Fri Nov 18 2005 oc2pus@arcor.de - 0.2.2-0.oc2pus.1
- initial version 0.2.2
